Package ghidra.app.plugin.processors.sleigh.template

# Class HandleTpl

java.lang.Object
ghidra.app.plugin.processors.sleigh.template.HandleTpl

public class HandleTpl extends Object
Placeholder that resolves for a specific `InstructionContext` into a `FixedHandle` representing the semantic value of a `Constructor`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HandleTpl()`
  ``
  `HandleTpl(ConstTpl spc, ConstTpl sz, ConstTpl ptrspc, ConstTpl ptroff, ConstTpl ptrsz, ConstTpl tmpspc, ConstTpl tmpoff)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fix(FixedHandle hand, ParserWalker walker)`
  `void`
  `fixPrintPiece(FixedHandle hand, ParserWalker walker, int handleIndex)`
  `AddressSpace`
  `getAddressSpace()`
  Get the address space of the value, if applicable
  `int`
  `getOffsetOperandIndex()`
  `int`
  `getSize()`
  Get the size of the expected value in bits
  `void`
  `restoreXml(XmlPullParser parser, AddressFactory factory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HandleTpl

    protected HandleTpl()

  - ### HandleTpl

    public HandleTpl(ConstTpl spc, ConstTpl sz, ConstTpl ptrspc, ConstTpl ptroff, ConstTpl ptrsz, ConstTpl tmpspc, ConstTpl tmpoff)

- ## Method Details

  - ### fix

    public void fix(FixedHandle hand, ParserWalker walker)

  - ### fixPrintPiece

    public void fixPrintPiece(FixedHandle hand, ParserWalker walker, int handleIndex)

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, AddressFactory factory)

  - ### getOffsetOperandIndex

    public int getOffsetOperandIndex()

  - ### getSize

    public int getSize()
    Get the size of the expected value in bits
    Returns:
      the number of bits

  - ### getAddressSpace

    public AddressSpace getAddressSpace()
    Get the address space of the value, if applicable
    Returns:
      the address space, or null if not applicable